Форум русскоязычного сообщества Ubuntu


Автор Тема: Проблемы при установке postgresql  (Прочитано 1384 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн nikitakls

  • Автор темы
  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Проблемы при установке postgresql
« : 01 Январь 2012, 22:12:00 »
Код: Javascript
  1. sudo apt-get install postgresql

Пишется такие сообщения
Код: HTML5
  1. # sudo apt-get install postgresql
  2. Reading package lists... Done
  3. Building dependency tree      
  4. Reading state information... Done
  5. postgresql is already the newest version.
  6. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
  7. 3 not fully installed or removed.
  8. After this operation, 0 B of additional disk space will be used.
  9. Do you want to continue [Y/n]? y
  10. Setting up postgresql-common (122ubuntu1) ...
  11. useradd: cannot lock /etc/passwd; try again later.
  12. adduser: `/usr/sbin/useradd -d /var/lib/postgresql -g postgres -s /bin/bash -u 118 postgres' returned error code 1. Exiting.
  13. dpkg: error processing postgresql-common (--configure):
  14.  subprocess installed post-installation script returned error exit status 1
  15. dpkg: dependency problems prevent configuration of postgresql-9.1:
  16.  postgresql-9.1 depends on postgresql-common (>= 115~); however:
  17.   Package postgresql-common is not configured yet.
  18. dpkg: error processing postgresql-9.1 (--configure):
  19.  dependency problems - leaving unconfigured
  20. dpkg: dependency problems prevent configuration of postgresql:
  21.  postgresql depends on postgresql-9.1; however:
  22.   Package postgresql-9.1 is not configured yet.
  23. dpkg: error processing postgresql (--configure):
  24.  dependency problems - leaving unconfigured
  25. No apport report written because the error message indicates its a followup error from a previous failure.
  26.                           No apport report written because the error message indicates its a followup error from a previous failure.
  27.                                                     Errors were encountered while processing:
  28.  postgresql-common
  29.  postgresql-9.1
  30.  postgresql
  31. E: Sub-process /usr/bin/dpkg returned an error code (1)
  32.  

Подскажите пожалуйста как можно эту проблему решить.
Пробовал удалять потом ставить проблема не решается.

Оффлайн S@nt@S

  • Участник
  • *
  • Сообщений: 244
    • Просмотр профиля
Re: Проблемы при установке postgresql
« Ответ #1 : 02 Январь 2012, 15:00:38 »
У тебя уже установлены все пакеты
Цитировать
postgresql is already the newest version.

 

Страница сгенерирована за 0.078 секунд. Запросов: 24.